/*
 * PrimitiveBase.h
 *
 *  Created on: Apr 10, 2013
 *      Author: Jan Travnicek
 */

#ifndef PRIMITIVE_BASE_H_
#define PRIMITIVE_BASE_H_

#include <object/ObjectBase.h>

namespace primitive {

/**
 * Represents symbol in an alphabet.
 */
class PrimitiveBase : public alib::ObjectBase {
public:
	virtual PrimitiveBase* clone() const = 0;
	virtual PrimitiveBase* plunder() && = 0;

	virtual void inc() = 0;
};

} /* namespace primitive */

#endif /* PRIMITIVE_BASE_H_ */
