/*
 * Author: Radovan Cerveny
 */

#ifndef IOSTREAM_HPP_
#define IOSTREAM_HPP_

#include "fdstream.hpp"

namespace std {

extern const int CERR_FD;

 // used for measurements output
extern const int CMEASURE_FD;
extern ofdstream cmeasure;

extern fdaccessor clog_fdaccessor;
extern fdstreambuf clog_fdstreambuf;

class RelinkIO {
public:
	RelinkIO ( );
	~RelinkIO ( );
};

 // following the way of stdlibc++
extern RelinkIO relinkio;
}

#endif /* IOSTREAM_HPP_ */
