/*
 * string.cpp
 *
 * Created on: Apr 1, 2013
 * Author: Jan Travnicek
 */

#ifndef STRING_HPP_
#define STRING_HPP_

namespace std {

string itos ( int integer, int base = 10 );

unsigned stou ( const std::string &, int base = 10 );

string utos ( unsigned integer, int base = 10 );

template < >
struct compare < string > {
	int operator ()( const string & first, const string & second ) const {
		return first.compare ( second );
	}

};

string cstringToString ( char * param );

} /* namespace std */

#endif /* STRING_HPP_ */
