/*
 * CornerSubstitution.h
 *
 *  Created on: 9. 6. 2015
 *	  Author: Jan Travnicek
 */

#ifndef CORNER_SUBSTITUTION_H_
#define CORNER_SUBSTITUTION_H_

#include <grammar/GrammarFeatures.h>
#include <alphabet/Symbol.h>

namespace grammar {

namespace parsing {

class CornerSubstitution {
public:
	static void cornerSubstitution ( grammar::CFG & grammar, const alphabet::Symbol & terminal, const alphabet::Symbol & nonterminal );

};

} /* namespace parsing */

} /* namespace grammar */

#endif /* CORNER_SUBSTITUTION_H_ */
