/*
 * LabelFeatures.h
 *
 *  Created on: Jun 19, 2014
 *      Author: Jan Travnicek
 */

#ifndef LABEL_FEATURES_H_
#define LABEL_FEATURES_H_

namespace label {

enum class FEATURES {
	PRIMITIVE,
	HEXAVIGESIMAL,
	OBJECT,
	LABEL_SET,
	LABEL_PAIR,
	UNIQUE_LABEL
};

class Label;
class LabelBase;

class PrimitiveLabel;
class HexavigesimalLabel;
class ObjectLabel;
class LabelSetLabel;
class LabelPairLabel;
class UniqueLabel;

} /* namespace label */

#endif /* LABEL_FEATURES_H_ */
