/*
 * typeindex.hpp
 *
 * Created on: Apr 1, 2013
 * Author: Jan Travnicek
 */

#ifndef TYPEINFO_H_
#define TYPEINFO_H_

namespace std {

	char* type_name(const std::type_info& type);
	char* type_name(const std::type_index& type);

	template <class T>
	char* type_name() {
		return type_name(typeid(T));
	}

	template<typename T>
	bool is_same_type(const char* name) {
		char namespaceId[100];
		char classId[100];
		char* ret = type_name<T>();
		sscanf(ret, "%[a-zA-Z]::%[a-zA-Z]", namespaceId, classId);
		free( ret );

		if(strcmp(classId, name) == 0) {
			return true;
		} else {
			return false;
		}
	}

}

#endif // ifndef TYPEINFO_H_
