/*
 * StringStat.h
 *
 *  Created on: 20. 9. 2014
 *	  Author: Jan Travnicek
 */

#ifndef STRING_STAT_H_
#define STRING_STAT_H_

#include <core/multipleDispatch.hpp>

#include "string/String.h"
#include "string/StringFeatures.h"

#include "StringSettings.h"

class StringStat : public std::SingleDispatchLastStaticParam < StringStat, void, string::StringBase, const StringSettings & > {
public:
	static void stat ( const string::String & string, const StringSettings & settings );

	static void stat ( const string::LinearString & string, const StringSettings & settings );
	static void stat ( const string::CyclicString & string, const StringSettings & settings );

};

#endif /* STRING_STAT_H_ */
